# vim: set sw=4 ts=4 et nu:

Name:           perl-Sys-Mmap
Version:        0.16
Release:        1.1
Summary:        Uses mmap to map in a file as a Perl variable
Source:         http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/Sys-Mmap-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Sys-Mmap
Group:          Development/Libraries/Perl
License:        GNU General Public License version 2 or later or Artistic (GPLv2+ or Artistic)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Errno)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(DynaLoader)
Requires:       perl(XSLoader)
Requires:       perl(DynaLoader)

%description
The Mmap module uses the POSIX mmap call to map in a file as a Perl variable.
Memory access by mmap may be shared between threads or forked processes, and
may be a disc file that has been mapped into memory. Sys::Mmap depends on your
operating system supporting UNIX or POSIX.1b mmap, of course.

%prep
%setup -q -n "Sys-Mmap-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Sys
%{perl_vendorarch}/Sys/Mmap.pm
%dir %{perl_vendorarch}/auto/Sys
%{perl_vendorarch}/auto/Sys/Mmap
%doc %{perl_man3dir}/Sys::Mmap.%{perl_man3ext}%{ext_man}

%changelog
* Sun Sep  4 2011 pascal.bleser@opensuse.org
- initial version (0.16)
